/*
 * System Taskbar Tray
 * 
 * Copyright (c) RegExLab.com
 * 
 * 2006.03.27 Chongqing China.
 */
package com.regexlab.j2e;

import java.util.*;

/**
 * System Tray icon menu class.
 * 
 * @author sswater shi
 */
public class SystemTrayMenu
{
    public SystemTrayMenu()
    {
        init();
    }
    
    /**
     * Append an item to current menu
     * 
     * @param title
     * @param itemid
     */
    public native void Append(String title, int itemid);
    
    /**
     * Append a sub-menu to current menu
     * 
     * @param title
     * @param popup
     */
    public native void Append(String title, SystemTrayMenu popup);

    /**
     * Append a separator line to current menu
     */
    public native void AppendSeparator();
    
    /**
     * Get sub-menus
     * 
     * @return
     */
    public HashSet getSubmenu()
    {
        return popups;
    }
    
    /**
     * Show current menu
     */
    public native void Popup();
    
    protected native void init();
    protected native void finalize();
    protected long h = 0;
    protected HashSet popups = new HashSet();

    static
    {
        String j2epath = System.getProperty("j2e.app.path");
        if( j2epath != null )
            System.load( j2epath );
    }
}
